Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.core
Class ListenerManagerImpl

    java.lang.Object
      org.quartz.core.ListenerManagerImpl

All Implemented Interfaces:
  ListenerManager

    public class ListenerManagerImpl

extends Object
implements ListenerManager

Constructor Summary
`ListenerManagerImpl()`

Method Summary
`void` | `addJobListener(JobListener jobListener)` Add the given ``JobListener`` to the `Scheduler`, and register it to receive events for all Jobs.
`void` | `addJobListener(JobListener jobListener, List<Matcher<JobKey>> matchers)` Add the given ``JobListener`` to the `Scheduler`, and register it to receive events for Jobs that are matched by ANY of the given Matchers.
`void` | `addJobListener(JobListener jobListener, Matcher<JobKey>... matchers)` Add the given ``JobListener`` to the `Scheduler`, and register it to receive events for Jobs that are matched by ANY of the given Matchers.
`void` | `addJobListener(JobListener jobListener, Matcher<JobKey> matcher)` Add the given ``JobListener`` to the `Scheduler`, and register it to receive events for Jobs that are matched by the given Matcher.
`boolean` | `addJobListenerMatcher(String listenerName, Matcher<JobKey> matcher)` Add the given Matcher to the set of matchers for which the listener will receive events if ANY of the matchers match.
`void` | `addSchedulerListener(SchedulerListener schedulerListener)` Register the given ``SchedulerListener`` with the `Scheduler`.
`void` | `addTriggerListener(TriggerListener triggerListener)` Add the given ``TriggerListener`` to the `Scheduler`, and register it to receive events for all Triggers.
`void` | `addTriggerListener(TriggerListener triggerListener, List<Matcher<TriggerKey>> matchers)` Add the given ``TriggerListener`` to the `Scheduler`, and register it to receive events for Triggers that are matched by ANY of the given Matchers.
`void` | `addTriggerListener(TriggerListener triggerListener, Matcher<TriggerKey>... matchers)` Add the given ``TriggerListener`` to the `Scheduler`, and register it to receive events for Triggers that are matched by ANY of the given Matchers.
`void` | `addTriggerListener(TriggerListener triggerListener, Matcher<TriggerKey> matcher)` Add the given ``TriggerListener`` to the `Scheduler`, and register it to receive events for Triggers that are matched by the given Matcher.
`boolean` | `addTriggerListenerMatcher(String listenerName, Matcher<TriggerKey> matcher)` Add the given Matcher to the set of matchers for which the listener will receive events if ANY of the matchers match.
`JobListener` | `getJobListener(String name)` Get the ``JobListener`` that has the given name.
`List<Matcher<JobKey>>` | `getJobListenerMatchers(String listenerName)` Get the set of Matchers for which the listener will receive events if ANY of the matchers match.
`List<JobListener>` | `getJobListeners()` Get a List containing all of the ``JobListener``s in the `Scheduler`, in the order in which they were registered.
`List<SchedulerListener>` | `getSchedulerListeners()` Get a List containing all of the ``SchedulerListener``s registered with the `Scheduler`, in the order in which they were registered.
`TriggerListener` | `getTriggerListener(String name)` Get the ``TriggerListener`` that has the given name.
`List<Matcher<TriggerKey>>` | `getTriggerListenerMatchers(String listenerName)` Get the set of Matchers for which the listener will receive events if ANY of the matchers match.
`List<TriggerListener>` | `getTriggerListeners()` Get a List containing all of the ``TriggerListener``s in the `Scheduler`, in the order in which they were registered.
`boolean` | `removeJobListener(String name)` Remove the identified ``JobListener`` from the `Scheduler`.
`boolean` | `removeJobListenerMatcher(String listenerName, Matcher<JobKey> matcher)` Remove the given Matcher to the set of matchers for which the listener will receive events if ANY of the matchers match.
`boolean` | `removeSchedulerListener(SchedulerListener schedulerListener)` Remove the given ``SchedulerListener`` from the `Scheduler`.
`boolean` | `removeTriggerListener(String name)` Remove the identified ``TriggerListener`` from the `Scheduler`.
`boolean` | `removeTriggerListenerMatcher(String listenerName, Matcher<TriggerKey> matcher)` Remove the given Matcher to the set of matchers for which the listener will receive events if ANY of the matchers match.
`boolean` | `setJobListenerMatchers(String listenerName, List<Matcher<JobKey>> matchers)` Set the set of Matchers for which the listener will receive events if ANY of the matchers match.
`boolean` | `setTriggerListenerMatchers(String listenerName, List<Matcher<TriggerKey>> matchers)` Set the set of Matchers for which the listener will receive events if ANY of the matchers match.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListenerManagerImpl

    public ListenerManagerImpl()

Method Detail

### addJobListener

    public void addJobListener(JobListener jobListener,
                               Matcher<JobKey>... matchers)

  Description copied from interface: `ListenerManager`
  Add the given ``JobListener`` to the `Scheduler`, and register it to receive events for Jobs that are matched by ANY of the given Matchers. If no matchers are provided, the `EverythingMatcher` will be used.

  Specified by:
    `addJobListener` in interface `ListenerManager`
  See Also:
    `Matcher`, `EverythingMatcher`

### addJobListener

    public void addJobListener(JobListener jobListener,
                               List<Matcher<JobKey>> matchers)

  Description copied from interface: `ListenerManager`
  Add the given ``JobListener`` to the `Scheduler`, and register it to receive events for Jobs that are matched by ANY of the given Matchers. If no matchers are provided, the `EverythingMatcher` will be used.

  Specified by:
    `addJobListener` in interface `ListenerManager`
  See Also:
    `Matcher`, `EverythingMatcher`

### addJobListener

    public void addJobListener(JobListener jobListener)

  Description copied from interface: `ListenerManager`
  Add the given ``JobListener`` to the `Scheduler`, and register it to receive events for all Jobs. Because no matchers are provided, the `EverythingMatcher` will be used.

  Specified by:
    `addJobListener` in interface `ListenerManager`
  See Also:
    `Matcher`, `EverythingMatcher`

### addJobListener

    public void addJobListener(JobListener jobListener,
                               Matcher<JobKey> matcher)

  Description copied from interface: `ListenerManager`
  Add the given ``JobListener`` to the `Scheduler`, and register it to receive events for Jobs that are matched by the given Matcher. If no matchers are provided, the `EverythingMatcher` will be used.

  Specified by:
    `addJobListener` in interface `ListenerManager`
  See Also:
    `Matcher`, `EverythingMatcher`

### addJobListenerMatcher

    public boolean addJobListenerMatcher(String listenerName,
                                         Matcher<JobKey> matcher)

  Description copied from interface: `ListenerManager`
  Add the given Matcher to the set of matchers for which the listener will receive events if ANY of the matchers match.

  Specified by:
    `addJobListenerMatcher` in interface `ListenerManager`
  Parameters:
    `listenerName` - the name of the listener to add the matcher to
    `matcher` - the additional matcher to apply for selecting events
  Returns:
    true if the identified listener was found and updated

### removeJobListenerMatcher

    public boolean removeJobListenerMatcher(String listenerName,
                                            Matcher<JobKey> matcher)

  Description copied from interface: `ListenerManager`
  Remove the given Matcher to the set of matchers for which the listener will receive events if ANY of the matchers match.

  Specified by:
    `removeJobListenerMatcher` in interface `ListenerManager`
  Parameters:
    `listenerName` - the name of the listener to add the matcher to
    `matcher` - the additional matcher to apply for selecting events
  Returns:
    true if the given matcher was found and removed from the listener's list of matchers

### getJobListenerMatchers

    public List<Matcher<JobKey>> getJobListenerMatchers(String listenerName)

  Description copied from interface: `ListenerManager`
  Get the set of Matchers for which the listener will receive events if ANY of the matchers match.

  Specified by:
    `getJobListenerMatchers` in interface `ListenerManager`
  Parameters:
    `listenerName` - the name of the listener to add the matcher to
  Returns:
    the matchers registered for selecting events for the identified listener

### setJobListenerMatchers

    public boolean setJobListenerMatchers(String listenerName,
                                          List<Matcher<JobKey>> matchers)

  Description copied from interface: `ListenerManager`
  Set the set of Matchers for which the listener will receive events if ANY of the matchers match.

  Removes any existing matchers for the identified listener!

  Specified by:
    `setJobListenerMatchers` in interface `ListenerManager`
  Parameters:
    `listenerName` - the name of the listener to add the matcher to
    `matchers` - the matchers to apply for selecting events
  Returns:
    true if the given matcher was found and removed from the listener's list of matchers

### removeJobListener

    public boolean removeJobListener(String name)

  Description copied from interface: `ListenerManager`
  Remove the identified ``JobListener`` from the `Scheduler`.

  Specified by:
    `removeJobListener` in interface `ListenerManager`
  Returns:
    true if the identified listener was found in the list, and removed.

### getJobListeners

    public List<JobListener> getJobListeners()

  Description copied from interface: `ListenerManager`
  Get a List containing all of the ``JobListener``s in the `Scheduler`, in the order in which they were registered.

  Specified by:
    `getJobListeners` in interface `ListenerManager`

### getJobListener

    public JobListener getJobListener(String name)

  Description copied from interface: `ListenerManager`
  Get the ``JobListener`` that has the given name.

  Specified by:
    `getJobListener` in interface `ListenerManager`

### addTriggerListener

    public void addTriggerListener(TriggerListener triggerListener,
                                   Matcher<TriggerKey>... matchers)

  Description copied from interface: `ListenerManager`
  Add the given ``TriggerListener`` to the `Scheduler`, and register it to receive events for Triggers that are matched by ANY of the given Matchers. If no matcher is provided, the `EverythingMatcher` will be used.

  Specified by:
    `addTriggerListener` in interface `ListenerManager`
  See Also:
    `Matcher`, `EverythingMatcher`

### addTriggerListener

    public void addTriggerListener(TriggerListener triggerListener,
                                   List<Matcher<TriggerKey>> matchers)

  Description copied from interface: `ListenerManager`
  Add the given ``TriggerListener`` to the `Scheduler`, and register it to receive events for Triggers that are matched by ANY of the given Matchers. If no matcher is provided, the `EverythingMatcher` will be used.

  Specified by:
    `addTriggerListener` in interface `ListenerManager`
  See Also:
    `Matcher`, `EverythingMatcher`

### addTriggerListener

    public void addTriggerListener(TriggerListener triggerListener)

  Description copied from interface: `ListenerManager`
  Add the given ``TriggerListener`` to the `Scheduler`, and register it to receive events for all Triggers. Because no matcher is provided, the `EverythingMatcher` will be used.

  Specified by:
    `addTriggerListener` in interface `ListenerManager`
  See Also:
    `Matcher`, `EverythingMatcher`

### addTriggerListener

    public void addTriggerListener(TriggerListener triggerListener,
                                   Matcher<TriggerKey> matcher)

  Description copied from interface: `ListenerManager`
  Add the given ``TriggerListener`` to the `Scheduler`, and register it to receive events for Triggers that are matched by the given Matcher. If no matcher is provided, the `EverythingMatcher` will be used.

  Specified by:
    `addTriggerListener` in interface `ListenerManager`
  See Also:
    `Matcher`, `EverythingMatcher`

### addTriggerListenerMatcher

    public boolean addTriggerListenerMatcher(String listenerName,
                                             Matcher<TriggerKey> matcher)

  Description copied from interface: `ListenerManager`
  Add the given Matcher to the set of matchers for which the listener will receive events if ANY of the matchers match.

  Specified by:
    `addTriggerListenerMatcher` in interface `ListenerManager`
  Parameters:
    `listenerName` - the name of the listener to add the matcher to
    `matcher` - the additional matcher to apply for selecting events
  Returns:
    true if the identified listener was found and updated

### removeTriggerListenerMatcher

    public boolean removeTriggerListenerMatcher(String listenerName,
                                                Matcher<TriggerKey> matcher)

  Description copied from interface: `ListenerManager`
  Remove the given Matcher to the set of matchers for which the listener will receive events if ANY of the matchers match.

  Specified by:
    `removeTriggerListenerMatcher` in interface `ListenerManager`
  Parameters:
    `listenerName` - the name of the listener to add the matcher to
    `matcher` - the additional matcher to apply for selecting events
  Returns:
    true if the given matcher was found and removed from the listener's list of matchers

### getTriggerListenerMatchers

    public List<Matcher<TriggerKey>> getTriggerListenerMatchers(String listenerName)

  Description copied from interface: `ListenerManager`
  Get the set of Matchers for which the listener will receive events if ANY of the matchers match.

  Specified by:
    `getTriggerListenerMatchers` in interface `ListenerManager`
  Parameters:
    `listenerName` - the name of the listener to add the matcher to
  Returns:
    the matchers registered for selecting events for the identified listener

### setTriggerListenerMatchers

    public boolean setTriggerListenerMatchers(String listenerName,
                                              List<Matcher<TriggerKey>> matchers)

  Description copied from interface: `ListenerManager`
  Set the set of Matchers for which the listener will receive events if ANY of the matchers match.

  Removes any existing matchers for the identified listener!

  Specified by:
    `setTriggerListenerMatchers` in interface `ListenerManager`
  Parameters:
    `listenerName` - the name of the listener to add the matcher to
    `matchers` - the matchers to apply for selecting events
  Returns:
    true if the given matcher was found and removed from the listener's list of matchers

### removeTriggerListener

    public boolean removeTriggerListener(String name)

  Description copied from interface: `ListenerManager`
  Remove the identified ``TriggerListener`` from the `Scheduler`.

  Specified by:
    `removeTriggerListener` in interface `ListenerManager`
  Returns:
    true if the identified listener was found in the list, and removed.

### getTriggerListeners

    public List<TriggerListener> getTriggerListeners()

  Description copied from interface: `ListenerManager`
  Get a List containing all of the ``TriggerListener``s in the `Scheduler`, in the order in which they were registered.

  Specified by:
    `getTriggerListeners` in interface `ListenerManager`

### getTriggerListener

    public TriggerListener getTriggerListener(String name)

  Description copied from interface: `ListenerManager`
  Get the ``TriggerListener`` that has the given name.

  Specified by:
    `getTriggerListener` in interface `ListenerManager`

### addSchedulerListener

    public void addSchedulerListener(SchedulerListener schedulerListener)

  Description copied from interface: `ListenerManager`
  Register the given ``SchedulerListener`` with the `Scheduler`.

  Specified by:
    `addSchedulerListener` in interface `ListenerManager`

### removeSchedulerListener

    public boolean removeSchedulerListener(SchedulerListener schedulerListener)

  Description copied from interface: `ListenerManager`
  Remove the given ``SchedulerListener`` from the `Scheduler`.

  Specified by:
    `removeSchedulerListener` in interface `ListenerManager`
  Returns:
    true if the identified listener was found in the list, and removed.

### getSchedulerListeners

    public List<SchedulerListener> getSchedulerListeners()

  Description copied from interface: `ListenerManager`
  Get a List containing all of the ``SchedulerListener``s registered with the `Scheduler`, in the order in which they were registered.

  Specified by:
    `getSchedulerListeners` in interface `ListenerManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.